---
# defaults file for k8s-social-media
# stack specifics
deepcube_social_media_stack_name: "social_media"
deepcube_social_media_deploy_folder: "~/social_media"

# deepcube_social_media_domain: "socialmedia.deepcube.gael-systems.com" #seems to be unused through K8S & external Ha Proxy Architecture

deepcube_social_media_api_version: "latest"
deepcube_social_media_app_version: "latest"

deepcube_social_media_replicas: 1

# api defaults
deepcube_social_media_api_secret_key: ""
deepcube_social_media_api_debug: False
deepcube_social_media_api_allowed_hosts: ["*"]
deepcube_social_media_api_allowed_cors_all: False
# deepcube_social_media_api_allowed_cors_whitelist: ["https://{{ deepcube_social_media_domain }}"]
deepcube_social_media_api_allowed_cors_whitelist: ["*"]
deepcube_social_media_api_mongo_user: ""
deepcube_social_media_api_mongo_pass: ""
deepcube_social_media_api_mongo_dbname: ""

# app defaults
deepcube_social_media_app_secret_key: ""
deepcube_social_media_app_debug: False
deepcube_social_media_app_allowed_hosts: ["*"]
deepcube_social_media_app_allowed_cors_all: False
# deepcube_social_media_app_allowed_cors_whitelist: ["https://{{ deepcube_social_media_domain }}"]
deepcube_social_media_app_allowed_cors_whitelist: ["*"]
deepcube_social_media_app_api_ip: "160.40.53.31" # default value >  "social-media-api", here communicate with exposed Infalia API

# registry parameters
deepcube_social_media_registry_user: ""
deepcube_social_media_registry_password: ""

# K8S
k8s_docker_registry_secret_name: "deepcube-registry-cred"
k8s_namespace: "tech-component-social-media"

wait_timeout_provisioning: 300
...
